{#
/**
 * @file
 * Default theme implementation for an item list.
 *
 * Available variables:
 * - items: A list of items. Each item contains:
 *   - attributes: HTML attributes to be applied to each list item.
 *   - value: The content of the list element.
 * - title: The title of the list.
 * - list_type: The tag for list element ("ul" or "ol").
 * - wrapper_attributes: HTML attributes to be applied to the list wrapper.
 * - attributes: HTML attributes to be applied to the list.
 * - empty: A message to display when there are no items. Allowed value is a
 *   string or render array.
 * - context: A list of contextual data associated with the list. May contain:
 *   - list_style: The custom list style.
 *
 * @see template_preprocess_item_list()
 *
 * @ingroup themeable
 */
#}
<div class="details-list--inline">
    {% if context.list_style %}
        {%- set attributes = attributes.addClass('item-list__' ~ context.list_style) %}
    {% endif %}
    {% if items or empty %}
        {%- if title is not empty -%}
            <h4 class="label">{{ title }}</h4>
        {%- endif -%}

        {%- if items -%}
            <{{ list_type }}{{ attributes }}>
            {%- for item in items -%}
                <li{{ item.attributes }}>{{ item.value }}</li>
            {%- endfor -%}
            </{{ list_type }}>
        {%- else -%}
          {{- empty -}}
        {%- endif -%}
    {%- endif %}
</div>